#ifndef TETRIS_FIGURE_INCLUDED
#define TETRIS_FIGURE_INCLUDED

#include "TetrisBlock.h"

class CTetrisFigure 
{

public:

	void Create(int num_blocks);
	virtual void Draw();
	void Destroy();
	
	CTetrisBlock *GetBlock(int x, int y);
	CTetrisBlock *GetBlock(int index);

	bool Rotate(int direction, bool can_rotate_test);
	bool Move(int direction, bool can_move_test);

	CTetrisFigure();
	virtual ~CTetrisFigure();

	int GetBlockCount();

	virtual int LoadFromFile(char *filename, TiXmlNode *node);

protected:
	CTetrisBlock **m_ppBlocks;
	int m_iBlocksCount;
};

#endif